<?php
//  if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 

// Créer un menu pour le plugin dans le tableau de bord de WordPress
function seoforge_add_admin_menu() {
    // seoforge_generate_and_save_token() ;
    add_menu_page(
        'SeoForge Settings',  // Titre de la page
        'Seo Forge AI',           // Texte du menu
        'manage_options',    // Capacité requise
        'seoforge_settings',           // Slug de la page
        'seoforge_options_page', // Fonction callback pour afficher la page
        'dashicons-admin-generic' // Icône du menu
    );
    
    add_submenu_page(
        'seoforge_settings',             // Parent slug
        'Listing Blog Posts',      // Page title
        'Listing Blog Posts',      // Menu title
        'manage_options',      // Capability
        'seoforge_chatgpt',     // Slug for the new page
        'seoforge_chatgpt_page' // Callback function to render the page
    );

    // Nouvel onglet pour rédiger le prompt personnalisé
    add_submenu_page(
        'seoforge_settings',             // Parent slug
        'Post Prompt',   // Page title
        'Post Prompt',   // Menu title
        'manage_options',      // Capability
        'seoforge_custom_prompt', // Slug for the new page
        'seoforge_custom_prompt_page' // Callback function to render the page
    );
    // Ajouter un nouvel onglet "Administration" avec le Token ID
    add_submenu_page(
        'seoforge_settings',             // Parent slug
        'Administration',      // Page title
        'Administration',      // Menu title
        'manage_options',      // Capability
        'seoforge_admin_page',  // Slug for the new page
        'seoforge_admin_page'   // Callback function to render the page
    );
   
}
add_action('admin_menu', 'seoforge_add_admin_menu');
?>