<!-- templates/admin-settings-page.php -->
<div class="wrap">
    <h1>Administration - Token ID and Image Generation</h1>
    <form method="post">
        <table class="form-table">
            <tr>
                <th scope="row">Token ID</th>
                <td><input type="text" name="token_disabled" value="<?php echo esc_attr($token); ?>" class="regular-text" disabled></td>
                <td><input type="hidden" name="token" value="<?php echo esc_attr($token); ?>" class="regular-text"></td>
            </tr>
            <?php if ($client['plan'] === 'Basic' || $client['plan'] === 'Pro'): ?>
                <tr>
                    <th scope="row">Enable Image Generation</th>
                    <td><input type="checkbox" name="enable_image_generation" id="enable_image_generation" <?php checked($image_generation_enabled, 'yes'); ?>></td>
                </tr>
                <tr> 
                    <th scope="row">Image Generation</th>
                    <td>
                        <select name="seoforge_image_generation_ai" id="image_generation_ai">
                            <option value="">--AI Selection--</option>
                            <option value="dalle3" <?php selected(get_option('seoforge_image_generation_ai'), 'dalle3'); ?>>Dall-E 3</option>
                            <option value="midjourney" <?php selected(get_option('seoforge_image_generation_ai'), 'midjourney'); ?>>Midjourney</option>
                        </select>
                    </td>
                </tr>
           
            <?php endif; ?>
        </table>
        <?php wp_nonce_field('save_admin_settings_action', 'save_admin_settings_nonce'); ?>
        <p><input type="submit" name="save_admin_settings" value="Enregistrer les paramètres" class="button button-primary"></p>
    </form>
</div>